Add additional information to a user
curl --request POST \
--url https://app.sandbox.rio.trade/api/users/{id}/additional-information \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"identifiersArray": [
"RC511233",
"SJ556997"
],
"identifiersObject": {
"RC": "S11233",
"SJ": "556997"
},
"identifiersString": "511233, 556997",
"identifiersObjectArray": [
{
"RC": "S11233",
"SJ": "556997"
},
{
"RC": "S11233",
"SJ": "556997"
}
]
}
'import requests
url = "https://app.sandbox.rio.trade/api/users/{id}/additional-information"
payload = {
"identifiersArray": ["RC511233", "SJ556997"],
"identifiersObject": {
"RC": "S11233",
"SJ": "556997"
},
"identifiersString": "511233, 556997",
"identifiersObjectArray": [
{
"RC": "S11233",
"SJ": "556997"
},
{
"RC": "S11233",
"SJ": "556997"
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identifiersArray: ['RC511233', 'SJ556997'],
identifiersObject: {RC: 'S11233', SJ: '556997'},
identifiersString: '511233, 556997',
identifiersObjectArray: [{RC: 'S11233', SJ: '556997'}, {RC: 'S11233', SJ: '556997'}]
})
};
fetch('https://app.sandbox.rio.trade/api/users/{id}/additional-information', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sandbox.rio.trade/api/users/{id}/additional-information",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identifiersArray' => [
'RC511233',
'SJ556997'
],
'identifiersObject' => [
'RC' => 'S11233',
'SJ' => '556997'
],
'identifiersString' => '511233, 556997',
'identifiersObjectArray' => [
[
'RC' => 'S11233',
'SJ' => '556997'
],
[
'RC' => 'S11233',
'SJ' => '556997'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.sandbox.rio.trade/api/users/{id}/additional-information"
payload := strings.NewReader("{\n \"identifiersArray\": [\n \"RC511233\",\n \"SJ556997\"\n ],\n \"identifiersObject\": {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n },\n \"identifiersString\": \"511233, 556997\",\n \"identifiersObjectArray\": [\n {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n },\n {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.sandbox.rio.trade/api/users/{id}/additional-information")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"identifiersArray\": [\n \"RC511233\",\n \"SJ556997\"\n ],\n \"identifiersObject\": {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n },\n \"identifiersString\": \"511233, 556997\",\n \"identifiersObjectArray\": [\n {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n },\n {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sandbox.rio.trade/api/users/{id}/additional-information")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identifiersArray\": [\n \"RC511233\",\n \"SJ556997\"\n ],\n \"identifiersObject\": {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n },\n \"identifiersString\": \"511233, 556997\",\n \"identifiersObjectArray\": [\n {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n },\n {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyOK{
"errors": [
{
"code": 19,
"message": "Not authorized"
}
]
}{
"errors": [
{
"code": 1,
"message": "User not found"
}
]
}Users API
Add additional information to a user
POST
/
api
/
users
/
{id}
/
additional-information
Add additional information to a user
curl --request POST \
--url https://app.sandbox.rio.trade/api/users/{id}/additional-information \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"identifiersArray": [
"RC511233",
"SJ556997"
],
"identifiersObject": {
"RC": "S11233",
"SJ": "556997"
},
"identifiersString": "511233, 556997",
"identifiersObjectArray": [
{
"RC": "S11233",
"SJ": "556997"
},
{
"RC": "S11233",
"SJ": "556997"
}
]
}
'import requests
url = "https://app.sandbox.rio.trade/api/users/{id}/additional-information"
payload = {
"identifiersArray": ["RC511233", "SJ556997"],
"identifiersObject": {
"RC": "S11233",
"SJ": "556997"
},
"identifiersString": "511233, 556997",
"identifiersObjectArray": [
{
"RC": "S11233",
"SJ": "556997"
},
{
"RC": "S11233",
"SJ": "556997"
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identifiersArray: ['RC511233', 'SJ556997'],
identifiersObject: {RC: 'S11233', SJ: '556997'},
identifiersString: '511233, 556997',
identifiersObjectArray: [{RC: 'S11233', SJ: '556997'}, {RC: 'S11233', SJ: '556997'}]
})
};
fetch('https://app.sandbox.rio.trade/api/users/{id}/additional-information', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sandbox.rio.trade/api/users/{id}/additional-information",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identifiersArray' => [
'RC511233',
'SJ556997'
],
'identifiersObject' => [
'RC' => 'S11233',
'SJ' => '556997'
],
'identifiersString' => '511233, 556997',
'identifiersObjectArray' => [
[
'RC' => 'S11233',
'SJ' => '556997'
],
[
'RC' => 'S11233',
'SJ' => '556997'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.sandbox.rio.trade/api/users/{id}/additional-information"
payload := strings.NewReader("{\n \"identifiersArray\": [\n \"RC511233\",\n \"SJ556997\"\n ],\n \"identifiersObject\": {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n },\n \"identifiersString\": \"511233, 556997\",\n \"identifiersObjectArray\": [\n {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n },\n {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.sandbox.rio.trade/api/users/{id}/additional-information")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"identifiersArray\": [\n \"RC511233\",\n \"SJ556997\"\n ],\n \"identifiersObject\": {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n },\n \"identifiersString\": \"511233, 556997\",\n \"identifiersObjectArray\": [\n {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n },\n {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sandbox.rio.trade/api/users/{id}/additional-information")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identifiersArray\": [\n \"RC511233\",\n \"SJ556997\"\n ],\n \"identifiersObject\": {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n },\n \"identifiersString\": \"511233, 556997\",\n \"identifiersObjectArray\": [\n {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n },\n {\n \"RC\": \"S11233\",\n \"SJ\": \"556997\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyOK{
"errors": [
{
"code": 19,
"message": "Not authorized"
}
]
}{
"errors": [
{
"code": 1,
"message": "User not found"
}
]
}v1 (legacy). This page documents the API before the v2 update. The v1
format is not enabled for new accounts and must be enabled on your account by
your account manager. New integrations should use the
current documentation. To update an existing integration,
follow the migration guide.
Authorizations
Path Parameters
ID of the user.
Example:
"66562bc04fe8bf83c577c178"
Body
application/json
Additional information about the user. Can contain any key-value pairs. Please reach out to our compliance team for more information.
Response
Additional information added successfully
The response is of type string.
Example:
"OK"